summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorJames E. Blair <jeblair@hp.com>2012-09-05 11:18:01 -0700
committerJenkins <jenkins@review.openstack.org>2012-09-05 18:51:14 +0000
commitf3f09c4f960817a88ec58d437b8a036f5bab832b (patch)
treef4e7afbe5fd9310067564024e029da40b2a032fe /tools
parent5d47ef868f2461efd714ea70dac529982c0d5c70 (diff)
downloadpython-jenkins-job-builder-f3f09c4f960817a88ec58d437b8a036f5bab832b.tar.gz
python-jenkins-job-builder-f3f09c4f960817a88ec58d437b8a036f5bab832b.tar.xz
python-jenkins-job-builder-f3f09c4f960817a88ec58d437b8a036f5bab832b.zip
Simplify the xml test paths.
Make it easier to invoke the tox environments from another project (eg, openstack-ci-puppet). Change-Id: I88305c8edb79bb6e944eb35f5e39c84827807f11 Reviewed-on: https://review.openstack.org/12451 Reviewed-by: Clark Boylan <clark.boylan@gmail.com> Approved: James E. Blair <corvus@inaugust.com> Tested-by: Jenkins
Diffstat (limited to 'tools')
-rwxr-xr-xtools/run-compare-xml.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/tools/run-compare-xml.sh b/tools/run-compare-xml.sh
index 21109ca3..d1eee667 100755
--- a/tools/run-compare-xml.sh
+++ b/tools/run-compare-xml.sh
@@ -17,10 +17,14 @@
# under the License.
rm -fr .test
-mkdir -p .test/old
-mkdir -p .test/new
+mkdir -p .test/old/config
+mkdir -p .test/old/out
+mkdir -p .test/new/config
+mkdir -p .test/new/out
cd .test
git clone https://review.openstack.org/p/openstack/openstack-ci-puppet --depth 1
+cp openstack-ci-puppet/modules/openstack_project/files/jenkins_job_builder/config/* old/config
+cp openstack-ci-puppet/modules/openstack_project/files/jenkins_job_builder/config/* new/config
cd ..
GITHEAD=`git rev-parse HEAD`
@@ -33,16 +37,16 @@ git checkout $GITHEAD
tox -e compare-xml-new
CHANGED=0
-for x in `(cd .test/old && find -type f)`
+for x in `(cd .test/old/out && find -type f)`
do
- if ! diff -u .test/old/$x .test/new/$x >/dev/null 2>&1
+ if ! diff -u .test/old/out/$x .test/new/out/$x >/dev/null 2>&1
then
CHANGED=1
echo "============================================================"
echo $x
echo "------------------------------------------------------------"
fi
- diff -u .test/old/$x .test/new/$x || /bin/true
+ diff -u .test/old/out/$x .test/new/out/$x || /bin/true
done
echo